<?PHP

// New language structure
$lang_info = array (
	'name' => 'Latvian'
	,'nativename' => 'Latvieu' // Language name in native language. E.g: 'Franais' for 'French'
	,'locale' => array('lv','lat') // Standard locale alternatives for a specific language. For reference, go to: http://www.php.net/manual/en/function.setlocale.php
	,'charset' => 'windows-1257' // For reference, go to : http://www.w3.org/International/O-charset-lang.html
	,'direction' => 'ltr' // 'ltr' for Left to Right. 'rtl' for Right to Left languages such as Arabic.
	,'author' => 'Mrti un Ieva Zabarovski'
	,'author_email' => 'martins@zabarovski.lv'
	,'author_url' => 'http://www.zabarovski.lv'
	,'transdate' => '07/03/2004'
);

$lang_general = array (
	'yes' => 'J'
	,'no' => 'N'
	,'back' => 'Atpaka'
	,'continue' => 'Turpint'
	,'close' => 'Aizvrt'
	,'errors' => 'Kdas'
	,'days' => 'Dienas'
	,'months' => 'Mnei'
	,'years' => 'Gadi'
	,'hours' => 'Stundas'
	,'minutes' => 'Mintes'
	,'everyday' => 'Katru dienu'
	,'everymonth' => 'Katru mnesi'
	,'everyyear' => 'Katru gadu'
);

// Date formats, For reference, go to : http://www.php.net/manual/en/function.strftime.php
$lang_date_format = array (
	'full_date' => '%A, %d. %B , %Y' // e.g. Trediena, 5. Jnijs, 2004
	,'full_date_time_24hour' => '%A, %d. %B, %Y Plkst. %H:%M' // e.g. Trediena, 5. Jnijs, 2004 Plkst. 22:10
	,'full_date_time_12hour' => '%A, %d. %B, %Y Plkst. %I:%M %p' // e.g. Trediena, 5. Jnijs, 2004 Plkst. 10:10 pm
	,'day_month_year' => '%d %m %Y'
	,'local_date' => '%c'
	,'mini_date' => '%a. %d. %b, %Y'
	,'month_year' => '%B %Y'
	,'day_of_week' => array('Svtdiena','Pirmdiena','Otrdiena','Trediena','Ceturtdiena','Piektdiena','Sestdiena')
	,'months' => array('Janvris','Februris','Marts','Aprlis','Maijs','Jnijs','Jlijs','Augusts','Septembris','Oktobris','Novembris','Decembris')
);

$lang_system = array (
	'system_caption' => 'Sistmas paziojums'
  ,'page_access_denied' => 'Tev nav atauta pieeja ai lapai.'
  ,'operation_denied' => 'Tev nav atauts veikt o operciju.'
	,'section_disabled' => ' sadaa obrd nav pieejama!'
  ,'non_exist_cat' => 'Izvlt kategorija neeksist!'
  ,'non_exist_event' => 'Izvltais ieraksts neeksist!'
  ,'param_missing' => 'Dati nav pareizi.'
  ,'no_events' => 'Nav ierakstu'
);


// ======================================================
// Add Event view
// ======================================================

$lang_add_event_view = array(
	'section_title' => 'Pievienot ierakstu'
	,'edit_event' => 'Labot ierakstu [id%d] \'%s\''
	,'update_event_button' => 'Apstiprint ieraksta labojumus'

// Event details
	,'event_details_label' => 'Ieraksta saturs'
	,'event_title' => 'Ieraksta Virsraksts'
	,'event_desc' => 'Ieraksta apraksts'
	,'event_cat' => 'Kategorija'
	,'choose_cat' => 'Izvlies kategoriju'
	,'event_date' => 'Ieraksta datums'
	,'day_label' => 'Diena'
	,'month_label' => 'Mnesis'
	,'year_label' => 'Gads'
	,'start_date_label' => 'Skuma laiks'
	,'start_time_label' => 'Plkst.'
	,'end_date_label' => 'Ldz'
	,'all_day_label' => 'Visu dienu'
// Contact details
	,'contact_details_label' => 'Kontaktpersonas dati'
	,'contact_info' => 'Kontaktpersona'
	,'contact_email' => 'Kontaktpersonas E-pasts'
	,'contact_url' => 'Kontaktpersonas Mjas lapa'
// Other details
	,'other_details_label' => 'Prjie dati'
	,'picture_file' => 'Attla fails'
	,'file_upload_info' => '(%d KBaitu limits - atautais formts : %s )' 
	,'del_picture' => 'Dzst attlu?'
// Administrative options
	,'admin_options_label' => 'Administratvs funkcijas'
	,'auto_appr_event' => 'Ieraksta Automtiska apstiprinana'

// Error messages
	,'no_title' => 'Ierakstam trkst virsraksta!'
	,'no_desc' => 'Ierakstam nepiecieams apraksts!'
	,'no_cat' => 'Izvlies ieraksta kategoriju no saraksta!'
	,'date_invalid' => 'Nepareizs datums!'
	,'end_days_invalid' => 'Ieraksts \'Dienas\' nepareizs!'
	,'end_hours_invalid' => 'Ieraksts \'Stundas\' nepareizs!'
	,'end_minutes_invalid' => 'Ieraksts \'Mintes\' nepareizs!'

	,'file_too_large' => 'Pievienot faila lielums prsniedz atauto! (Atauts %d KBaitu)'
	,'file_invalid' => 'Faila formts nav pareizs! (Atautais formts: %s)'

// Misc. messages
	,'submit_event_pending' => 'Ieraksts gaida apstiprinjumu. Paldies, ka to veici!'
	,'submit_event_approved' => 'Ieraksts ir automtiski apstiprints. Paldies, ka to veici!'
);

// ======================================================
// Category Events view
// ======================================================

$lang_event_view = array(
	'section_title' => 'Ieraksts: \'%s\''
	,'cat_name' => 'Kategorija'
	,'event_start_date' => 'Datums'
	,'event_end_date' => 'Ldz'
	,'contact_info' => 'Kontaktpersona'
	,'contact_email' => 'E-pasts'
	,'contact_url' => 'Mjas lapa'
	,'no_event' => 'Nav ierakstu.'
	,'stats_string' => 'Pavisam <strong>%d</strong> ierakstu.'
);

// ======================================================
// Categories view
// ======================================================

$lang_cats_view = array(
	'section_title' => 'Kategoriju sadaljums'
	,'cat_name' => 'Kategorijas nosaukums'
	,'total_events' => 'Pavisam ierakstu'
	,'upcoming_events' => 'Gaidmie notikumi'
	,'no_cats' => 'Nav kategoriju.'
	,'stats_string' => '<strong>%d</strong> Ierakstu <strong>%d</strong> kategorijs'
);

// ======================================================
// Category Events view
// ======================================================

$lang_cat_events_view = array(
	'section_title' => 'Ieraksti \'%s\''
	,'event_name' => 'Ieraksta nosaukums'
	,'event_date' => 'Datums'
	,'no_events' => 'aj kategorij nav ierakstu.'
	,'stats_string' => 'Pavisam <strong>%d</strong> ierakstu.'
);

// ======================================================
// theme.php
// ======================================================

// To Be Done

// ======================================================
// functions.inc.php
// ======================================================

// To Be Done

// ======================================================
// dblib.php
// ======================================================

// To Be Done

// ======================================================
// admin_events.php
// ======================================================

// To Be Done

// ======================================================
// admin_categories.php
// ======================================================

// To Be Done

// ======================================================
// settings.php
// ======================================================

if (defined('SETTINGS_PHP')) 

$lang_settings_data = array(
	'section_title' => 'Kalendra iestatjumi'
// General Settings
	,'general_settings_label' => 'Pamatuzstdjumi'
	,'calendar_name' => 'Kalendra nosaukums'
	,'calendar_description' => 'Kalendra apraksts'
	,'calendar_admin_email' => 'Kalendra Przia E-pasts'
	,'cookie_name' => 'Skripta skdatnes nosaukums'
	,'cookie_path' => 'Skripta skdatnes ce'
	,'debug_mode' => 'Ieslgt lgoanas remu'
// Environment Settings
	,'env_settings_label' => 'Vides uzstdjumi'
	,'lang' => 'Valoda'
		,'lang_name' => 'Valoda'
		,'lang_native_name' => 'Valodas oriinls'
		,'lang_trans_date' => 'Tulkots'
		,'lang_author_name' => 'Autori'
		,'lang_author_email' => 'Autora e-pasts'
		,'lang_author_url' => 'Mjas lapa'
	,'charset' => 'Zmju ifrjums'
	,'theme' => 'Motvs'
		,'theme_name' => 'Motva nosaukums'
		,'theme_date_made' => 'Izgatavots'
		,'theme_author_name' => 'Autors'
		,'theme_author_email' => 'E-pasts'
		,'theme_author_url' => 'Mjas lapa'
	,'timezone' => 'Laika zona'
	,'time_format' => 'Laika formts'
		,'24hours' => '24 stundu'
		,'12hours' => '12 stundu'
	,'auto_daylight_saving' => 'Automtiska preja uz vasaras laiku.'
	,'main_table_width' => 'Galvens tabulas platums (Pikseos vai %)'
	,'day_start' => 'Nedas pirm diena'
	,'default_view' => 'Noklusjuma iestatjums'
	,'search_view' => 'Ataut meklanu'
	,'archive' => 'Rdt pagtnes notikumus'
	,'events_per_page' => 'Notikumu skaits lappus'
// Event View
	,'event_view_label' => 'Ieraksta izskats'
	,'popup_event_mode' => 'Ieraksta paziojums'
	,'popup_event_width' => 'Paziojuma platums'
	,'popup_event_height' => 'Paziojuma augstums'
// Add Event View
	,'add_event_view_label' => 'Pievienojam ieraksta izskats'
	,'add_event_view' => 'Attauts'
	,'addevent_allow_html' => 'Ataut lietot <b>BB Kodus</b> aprakst'
	,'addevent_allow_contact' => 'Ataut pievienot kontaktpersonas'
	,'addevent_allow_email' => 'Ataut pievienot E-pastu'
	,'addevent_allow_url' => 'Ataut pievienot Mjas lapu'
	,'addevent_allow_picture' => 'Ataut ievietot attlus'
	,'new_post_notification' => 'Jauna paziojuma brdinjums'
// Calendar View
	,'calendar_view_label' => 'Kalendra (Mnea) skats'
	,'monthly_view' => 'Atauts'
	,'cal_view_max_chars' => 'Maksimlais zmju skaits aprakst'
// Flyer View
	,'flyer_view_label' => 'Lida skats'
	,'flyer_view' => 'Atauts'
	,'flyer_show_picture' => 'Rdt attlus lida skat'
	,'flyer_view_max_chars' => 'Maksimlais zmju skaits aprakst'
// Weekly View
	,'weekly_view_label' => 'Nedas skats'
	,'weekly_view' => 'Atauts'
	,'weekly_view_max_chars' => 'Maksimlais zmju skaits aprakst'
// Daily View
	,'daily_view_label' => 'Dienas skats'
	,'daily_view' => 'Atauts'
	,'daily_view_max_chars' => 'Maksimlais zmju skaits aprakst'
// Categories View
	,'categories_view_label' => 'Kategoriju skats'
	,'cats_view' => 'Atauts'
	,'cats_view_max_chars' => 'Maksimlais zmju skaits aprakst'
// Mini Calendar
	,'mini_cal_label' => 'Mini Kalendrs'
	,'mini_cal_def_picture' => 'Noklustais attls'
	,'mini_cal_display_picture' => 'Rdt attlu'
	,'mini_cal_diplay_options' => array('Neviens','Noklustais Attls', 'Dienas Attls','Nedas Attls','Izloztais Attls')
// Picture Settings
	,'picture_settings_label' => 'Attlu iestatjumi'
	,'max_upl_size' => 'Maksimlais attlu lielums (KBaitos)'
	,'allowed_file_extensions' => 'Atautie attlu failu paplainjumi.'
// Form Buttons
	,'update_config' => 'Saglabt Jaunos uzstdjumus'
	,'restore_config' => 'Atjaunot Pamatuzstdjumus'
);

// ======================================================
// cal_mini.inc.php
// ======================================================

$lang_mini_cal = array(
	'def_pic' => 'Noklustais Attls'
	,'daily_pic' => 'Dienas Attls (%s)'
	,'weekly_pic' => 'Nedas Attls (%s)'
	,'rand_pic' => 'Izloztais Attls (%s)'
	,'post_event' => 'Veikt Jaunu ierakstu'
);

// ======================================================
// calendar.php
// ======================================================

// To Be Done

// ======================================================
// config.inc.php
// ======================================================

// To Be Done

// ======================================================
// install.php
// ======================================================

// To Be Done

// ======================================================
// login.php
// ======================================================

// To Be Done

// ======================================================
// logout.php
// ======================================================

// To Be Done

// ======================================================
// admin_events.php
// ======================================================

// To Be Done

// old structure	

$maand[0]="Katru mnesi";
$maand[1]="Janvr";
$maand[2]="Februr";
$maand[3]="Mart";
$maand[4]="Aprl";
$maand[5]="Maij";
$maand[6]="Jnij";
$maand[7]="Jlij";
$maand[8]="August";
$maand[9]="Septembr";
$maand[10]="Oktobr";
$maand[11]="Novembr";
$maand[12]="Decembr";

$week[1]="Svtdien";
$week[2]="Pirmdien";
$week[3]="Otrdien";
$week[4]="Tredien";
$week[5]="Ceturtdien";
$week[6]="Piektdien";
$week[7]="Sestdien";

function translate($word){

    switch ($word) {
        // Language parameters
        case "lang_name": $new = "Latvian";    break;
        case "lang_nativename": $new = "Latvieu";    break;
        case "lang_charset": $new = "windows-1257";    break;
				// Translations
        case "yes": $new = "J";    break;
        case "no": $new = "N";    break;
        case "welcometo": $new = "Laipni ldzam";    break;
        case "admin": $new = "Administrcija";    break;
        case "adminoptions": $new = "Przia Funkcijas";    break;
        case "cate": $new = "Skatt kategorijas"; break;
        case "day": $new = "Dienas Skats"; break;
        case "week": $new = "Neda"; break;
        case "weeklyview": $new = "Nedas Skats"; break;
        case "cal": $new = "Kalendra Skats"; break;
        case "nocats": $new = "Vl nav Kategoriju"; break;
        case "addcat": $new = "Pievienot Kategoriju"; break;
        case "cats": $new = "Kategorijas"; break;
        case "addevent": $new = "Pievienot Ierakstu"; break;
        case "outof": $new = "Pagjuie notikumi"; break;
        case "upcomingevents": $new = "Gaidmie notikumi"; break;
        case "totalevents": $new = "Pavisam Ierakstu"; break;
        case "events": $new = "Ieraksti"; break;
        case "errors": $new = "Kdas"; break;
        case "weeklyevents": $new = "Nedas notikumi"; break;
        case "eventdetails": $new = "Ieraksta detaas"; break;
        case "eventitle": $new = "Ieraksta virsraksts"; break;
        case "description": $new = "Notikuma apraksts"; break;
        case "choosecat": $new = "Izvlies Kategoriju"; break;
        case "selectyear": $new = "Gads"; break;
        case "selectmonth": $new = "Mnesis"; break;
        case "selectday": $new = "Diena"; break;
        case "everyyear": $new = "Katru gadu"; break;
        case "everymonth": $new = "Katru mnesi"; break;
        case "bdate": $new = "Datums"; break;
        case "notitle": $new = "Nordi ieraksta nosaukumu!"; break;
        case "nodescription": $new = "Sniedz notikuma aprakstu"; break;
        case "noday": $new = "Izvlies dienu!"; break;
        case "nomonth": $new = "Izvlies mnesi !"; break;
        case "noyear": $new = "Izvlies gadu !"; break;
        case "nocat": $new = "Izvlies kategoriju !"; break;
        case "novaliddate": $new = "Ievadi eksistjou datumu !"; break;
        case "kblimit": $new = "KBaitu limits"; break;
        case "back": $new = "Atpaka"; break;
        case "action": $new = "Notikums"; break;
        case "nononapproved": $new = "Nav neviena ieraksta, kas gaidtu apstiprinanu"; break;
        case "nonapproved": $new = "Ieraksti Apstiprinanai"; break;
        case "autoapprove": $new = "Automtiski apstiprint ierakstu"; break;
        case "cat": $new = "Kategorija"; break;
        case "view": $new = "Skatt ierakstu"; break;
        case "edit": $new = "Labot ierakstu"; break;
        case "updateevent": $new = "Apstiprint ieraksta izmaias"; break;
        case "approve": $new = "Apstiprint ierakstu"; break;
        case "appreventok": $new = "Ieraksts apstiprints"; break;
        case "cantapprevent": $new = "Ieraksts nevar tikt apstiprints."; break;
        case "moreinfo": $new = "Papildus informcija"; break;
        case "editcat": $new = "Labot Kategoriju"; break;
        case "delcat": $new = "Dzst Kategoriju"; break;
        case "edit": $new = "Labot"; break;
        case "del": $new = "Dzst"; break;
        case "name": $new = "Nosaukums"; break;
        case "update": $new = "Izmaint"; break;
        case "reallydelcat": $new = "Vai tiem izdzst o kategoriju? Visi ieraksti, kas ietilpst aj kategorij tiks pilnb izdzsti!"; break;
        case "noback": $new = "Ups, n, atgriezies.!"; break;
        case "deleventok": $new = "Ieraksts izdzsts"; break;
        case "cantdelevent": $new = "Ieraksts nevar tikt dzsts"; break;
        case "surecat": $new = "J, izdzst!"; break;
        case "noevents": $new = "Nav ierakstu"; break;
        case "numbevents": $new = "Ieraksti "; break;
        case "upevent": $new = "Izmaint Ierakstu"; break;
        case "delev": $new = "Dzst ierakstu"; break;
        case "currentpic": $new = "Esoais Attls"; break;
        case "delpic": $new = "Dzst o attlu"; break;
        case "nooutofdate": $new = "Nav pagjuo notikumu."; break;
        case "delalloodev": $new = "Dzst visus pagjuos notikumus"; break;
        case "delevok": $new = "Vai tiem esi prliecints, ka gribi dzst o ierakstu?"; break;
        case "delalloodevok": $new = "Dzst tos visus!"; break;
        case "prevm": $new = "Iepriekjais mnesis"; break;
        case "nextm": $new = "Nkamais mnesis"; break;
        case "today": $new = "odien"; break;
        case "eventstoday": $new = "odienas notikumi"; break;
        case "readmore": $new = "Last vairk"; break;
        case "nextday": $new = "Nkam diena"; break;
        case "prevday": $new = "Iepriekj diena"; break;
        case "askedday": $new = "Izvlt diena"; break;
        case "nextweek": $new = "Nkam neda"; break;
        case "prevweek": $new = "Iepriekj neda"; break;
        case "weeknr": $new = "Nedas krtas numurs"; break;
        case "eventsthisweek": $new = "Ieraksti no "; break;
        case "till": $new = "ldz"; break;
        case "thankyou": $new = "Paldies par ieraksta veikanu, tas bs redzams pc mirka!"; break;
        case "eventedited": $new = "Ieraksta izmaias veiktas!"; break;
				case "op": $new = "Ieslgt"; break;
       	# here start the new not yet translated language vars
        case "disabled": $new = " sadaa nav pieejama"; break;
       	case "searchbutton": $new = "Skt meklt"; break;
       	case "searchtitle": $new = "Meklt"; break;
       	case "searchcaption": $new = "Ieraksti vrdus pc k meklt"; break;
       	case "searchresults": $new = "Atrastie Ieraksti"; break;
       	case "searchagain": $new = "Meklt vlreiz"; break;
      	case "onedate": $new = "Vien datum"; break;
        case "moredates": $new = "Vairkos datumos"; break;
      	case "moredatesexplain": $new = "Vairkos datumos: 'dd-mm-yyyy;dd-mm-yyyy' Ja datums viens, raksti 01, tas pats mneiem! Bez beigu datuma-';' !"; break;
      	case "email": $new = "E-pasts"; break;
      	case "results": $new = "Rezultti"; break;
      	case "noresults": $new = "Nav atrastu ierakstu"; break;
        case "wronglogin": $new = "Prbaudiet savu ieejas vrdu un paroli, un miniet vlreiz!"; break;
        case "userman": $new = "Lietotju vadba"; break;
        case "users": $new = "Lietotji"; break;
        case "logout": $new = "Iziet"; break;
        case "deluser": $new = "Dzst lietotju"; break;
        case "addnewuser": $new = "Pievienot jaunu lietotju"; break;
        case "loginscreen": $new = "Ieejas Logs"; break;
        case "login": $new = "Ieejas vrds"; break;
        case "password": $new = "Parole"; break;
        case "rememberme": $new = "Atceries mani"; break;
				case "loginmsg": $new = "Ieraksti Ieejas vrdu un paroli"; break;
				case "nologinname": $new = "Ldzu Ieraksti savu ieejas vrdu !"; break;
        case "userwarning": $new = "Atceries savu paroli! T nevar tikt atjaunota !"; break;
        case "userdelok": $new = "Vai tiem dzst o lietotju ?"; break;
        case "contact": $new = "Kontaktpersona"; break;
        case "contactinfo": $new = "Kontaktpersonas dati"; break;
        case "otherdetails": $new = "Prjie dati"; break;
        case "picture": $new = "Attls"; break;
        case "filetolarge": $new = "Pievienotais fails ir prk liels !"; break;
        case "extensionnovalid": $new = "Faila paplainjums nav atauts !"; break;
        case "flyerlink": $new = "Lida skats"; break;
        case "mailtitle": $new = "Griezies pie kalendra przia nekavjoties!"; break;
        case "mailbody": $new = "Kds veicis jaunu ierakstu !"; break;
        case "continuebutton": $new = "Uzklikini lai turpintu"; break;
        case "returnbutton": $new = "Atgrieztis mjas lap"; break;
        case "in": $new = "sokojo"; break;
        case "uploadapplnk": $new = "Ierakstu Apstiprinana"; break;
        case "settingslnk": $new = "Iestatjumi"; break;
        case "categorieslnk": $new = "Kategorijas"; break;
        case "userslnk": $new = "Lietotji"; break;
        case "groupslnk": $new = "Grupas"; break;
        case "myprofile": $new = "Mani Iestatjumi"; break;
        case "status": $new = "Statuss"; break;
        case "options": $new = "Funkcijas"; break;
        case "autoappr": $new = "Aotomtisk Apstiprinana"; break;
        case "active": $new = "Aktvs"; break;
        case "inactive": $new = "Neaktvs"; break;
        case "admincats": $new = "Kategoriju Prraudzba"; break;
        case "generalinfo": $new = "Pamatinformcija"; break;
        case "catname": $new = "Kategorijas nosaukums"; break;
        case "catdesc": $new = "Kategorijas apraksts"; break;
        case "color": $new = "Krsa"; break;
        case "pickcolor": $new = "Izvlies krsu!"; break;
        case "autouserappr": $new = "Automtiski apstiprint lietotju ierakstus"; break;
        case "autoadminappr": $new = "Automtiski apstiprint przia ierakstus"; break;
        case "nocatname": $new = "Ieraksti kategorijas nosaukumu!"; break;
        case "nocatdesc": $new = "Apraksti notikumu!"; break;
        case "nocolor": $new = "Izvlies krsu!"; break;
        case "total": $new = "Pavisam"; break;
        case "admins": $new = "Przi"; break;
        case "updatecat": $new = "Izmaint kategoriju"; break;
        case "catedited": $new = "Kategorija izmainta!"; break;
        case "delcatmoreevents": $new = "aj kategorij ir %d ieraksts (i) un td t nevar tikt dzsta!<br>Ldzu izdzs ierakstus aj kategorij un tad mini vlreiz!"; break;
        case "delcatok": $new = "Kategorija izdzsta!"; break;
        
        default: $new = "<b>".$word."</b> Jtulko !";    break;

    }
    return $new;
}
?>